# Comprehensive Motor Claims

## Initiate Comprehensive Motor claims

## The endpoint initiates the creation of a Comprehensive Motor claim.

<mark style="color:green;">`POST`</mark> `https://sandbox.insurpass.com/api/merchant/comprehensive_motor_initiate_claim`

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {$secret-key}/{$api-key} |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                |

#### Request Body

| Name                                                     | Type   | Description                                                                                           |
| -------------------------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------- |
| vehicle\_damage\_image<mark style="color:red;">\*</mark> | string | image url of the damaged vehicle                                                                      |
| estimate\_of\_loss<mark style="color:red;">\*</mark>     | string | The estimated amount los                                                                              |
| policy\_number<mark style="color:red;">\*</mark>         | string | The unique number that identifies the purchased  insurance policy - **UIC/RE/INP/MOT/06102022/86154** |
| incident\_details<mark style="color:red;">\*</mark>      | string | Descriptive text about the details of the incident                                                    |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
   "success":true,
   "response_message":"Comprehensive policy claim initiated successfully",
   "response_code":"",
   "data":{
      "result":"Third party claim was initiated successfully"
   }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://sandbox.insurpass.com/api/merchant/comprehensive_motor_initiate_claim',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
    "policy_number": "UIC/RE/INP/MOT/06102022/86154",
    "estimate_of_loss": "90000",
    "vehicle_damage_image": "https://image.jpg",
    "incident_details": "It was a dark and stormy night."
}',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer {{SECRETKEY}}',
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}

{% tab title="NODE JS" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = JSON.stringify({
    "policy_number": "UIC/RE/INP/MOT/06102022/86154",
    "estimate_of_loss": "90000",
    "vehicle_damage_image": "https://image.jpg",
    "incident_details": "It was a dark and stormy night"
});

var config = {
  method: 'post',
  url: 'https://sandbox.insurpass.com/api/merchant/comprehensive_motor_initiate_claim',
  headers: { 
    'Authorization': 'Bearer {{SECRETKEY}}', 
    'Content-Type': 'application/json'
  },
  data: data
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="CURL" %}
{% code overflow="wrap" %}

```clike
curl --location --request POST https://sandbox.insurpass.com/api/merchant/comprehensive_motor_initiate_claim' \
--header 'Authorization: Bearer {{SECRETKEY}}' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{
    "policy_number": "UIC/RE/INP/MOT/06102022/86154",
    "estimate_of_loss": "90000",
    "vehicle_damage_image": "https://image.jpg",
    "incident_details": "It was a dark and stormy night"
}'
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Comprehensive Motor Claims Details

## This endpoint  returns an object containing a single Comprehensive Motor policy claim . &#x20;

<mark style="color:green;">`POST`</mark> `https://sandbox.insurpass.com/api/merchant/comprehensive_motor_claim_details`

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {$secret-key}/{$api-key} |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                |

#### Request Body

| Name                                           | Type   | Description                                                                              |
| ---------------------------------------------- | ------ | ---------------------------------------------------------------------------------------- |
| policyNumber<mark style="color:red;">\*</mark> | String | The unique number that identifies the purchased  insurance policy - **INS1642236323569** |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
   "success":true,
   "response_message":"Data fetched successfully",
   "response_code":"",
   "data":{
      "status":false,
      "amount":null,
      "proof_of_ownership":"String",
      "proof_of_incidence":"string",
      "police_report":null,
      "details_of_incidence":"string",
      "driving_licence":"strinf",
      "created_at":"2022-04-04T07:44:14.000000Z",
      "updated_at":"2022-04-04T07:44:14.000000Z",
      "third_party_policy":{
         "frequency_type":"yearly",
         "vehicle_value":"35000",
         "vehicle_type":"required|string",
         "start_date":"2022-03-16T00:00:00.000000Z",
         "end_date":"2023-03-16T00:00:00.000000Z",
         "registration_no":"required|string",
         "vehicle_make":"required|string",
         "vehicle_model":"required|string",
         "year_make":"2002",
         "vehicle_color":"required|string",
         "chasis_no":"required|string",
         "engine_no":"required|string",
         "class_of_insurance":"required|string",
         "certificate_no":"required|string",
         "vehicle_front_side_image":"required|string",
         "vehicle_back_side_image":"required|string",
         "vehicle_left_side_image":"required|string",
         "vehicle_right_side_image":"required|string",
         "policy_number":"UIC/RE/INP/MTP/16032022/32398",
         "status":true,
         "created_at":"2022-03-16T08:33:38.000000Z",
         "updated_at":"2022-03-16T08:37:29.000000Z"
      }
   }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://sandbox.insurpass.com/api/merchant/initiate_okada_pass_policy',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "policyNumber":"UIC/RE/INP/MOT/06102022/89168"
}',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer {{SECRETKEY}}',
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}

{% tab title="NODE JS" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = JSON.stringify({
  "policyNumber":"UIC/RE/INP/MOT/06102022/89168"
});

var config = {
  method: 'post',
  url: 'https://sandbox.insurpass.com/api/merchant/initiate_okada_pass_policy',
  headers: { 
    'Authorization': 'Bearer {{SECRETKEY}}', 
    'Content-Type': 'application/json'
  },
  data: data
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="CURL" %}
{% code overflow="wrap" %}

```clike
curl --location --request POST https://sandbox.insurpass.com/api/merchant/comprehensive_motor_claim_details' \
--header 'Authorization: Bearer {{SECRETKEY}}' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{
  "policyNumber":"UIC/RE/INP/MOT/06102022/89168"
}'
```

{% endcode %}
{% endtab %}
{% endtabs %}

## List All Comprehensive Motor Claims

## This endpoint returns a list of all the Comprehensive Motor claims objects.&#x20;

<mark style="color:blue;">`GET`</mark> `https://sandbox.insurpass.com/api/merchant/comprehensive_motor_merchant_claims`

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {$secret-key}/{$api-key} |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "success": true,
    "response_message": "Data fetched successfully",
    "response_code": "",
    "data": [
        {
            "status": false,
            "amount": null,
            "proof_of_ownership": "String",
            "proof_of_incidence": "string",
            "police_report": null,
            "details_of_incidence": "string",
            "driving_licence": "strinf",
            "created_at": "2022-04-04T07:44:14.000000Z",
            "updated_at": "2022-04-04T07:44:14.000000Z",
            "third_party_policy": {
                "policy_number": "UIC/RE/INP/MTP/16032022/32398"
            }
        }
    ]
}

```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://sandbox.insurpass.com/api/merchant/comprehensive_motor_merchant_claims',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer {{SECRETKEY}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}

{% tab title="NODE JS" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = '';

var config = {
  method: 'get',
  url: 'https://sandbox.insurpass.com/api/merchant/comprehensive_motor_merchant_claims',
  headers: { 
    'Authorization': 'Bearer {{SECRETKEY}}'
  },
  data: data
};
axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="CURL" %}
{% code overflow="wrap" %}

```clike
curl --location --request GET https://sandbox.insurpass.com/api/merchant/comprehensive_motor_merchant_claims'
--header 'Authorization: Bearer {{SECRETKEY}}'
--header 'Accept: application/json'
--data-raw ''
```

{% endcode %}
{% endtab %}
{% endtabs %}
